// file: window/win_dbg_0.cc
//

// isip include files
//
#include "window.h"
#include "window_constants.h"


// method: debug_cc
//
// arguments:
//  FILE* fp: (input) an open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a char_1* containing the class name
//
logical_1 Window::debug_cc(FILE *fp_a, char_1* message_a){
  
  // dump the internal data
  //
  fprintf(fp_a, "<%s::%s> type_d = %ld\n",
	  WINDOW_CLASS_NAME, (char*)message_a, type_d);
  fprintf(fp_a, "<%s::%s> width_d = %ld\n",
	  WINDOW_CLASS_NAME, (char*)message_a, width_d);

  // exit gracefully
  //
  return ISIP_TRUE;
}

